Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.util
Class IRPEventImpl

    java.lang.Object
      com.sun.management.oss.impl.AttributeAccessImpl
          com.sun.management.oss.impl.util.IRPEventImpl

All Implemented Interfaces:
  AttributeAccess, java.lang.Cloneable, Event, IRPEvent, java.io.Serializable, SerializerFactory

Direct Known Subclasses:
  PmIRPEventImpl, PmIRPEventImpl

public class IRPEventImpl
extends AttributeAccessImpl
implements IRPEvent

IRPEvent implementation.

Author:
  Andreas Jirven, Anna Eriksson, Ali Feizabadi, Henrik Lindstrom
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.sun.management.oss.util.IRPEvent
`APPLICATION_DN, EVENT_TIME, MANAGED_OBJECT_CLASS, MANAGED_OBJECT_INSTANCE, NOTIFICATION_ID`

Constructor Summary
`IRPEventImpl()`

Method Summary
`java.lang.String` | `getApplicationDN()` Return the DN of the application sending the event.
`java.util.Date` | `getEventTime()` Return the time the event was published.
`java.lang.String` | `getManagedObjectClass()` Gets the class name of the object instance where this event occurred.
`java.lang.String` | `getManagedObjectInstance()` Gets the distinguished name of the object instance where this event occurred.
`java.lang.String` | `getNotificationId()` Returns the notification id.
`java.lang.String[]` | `getSupportedOptionalAttributeNames()` Provide run-time support for the discovery of optional attributes.
`java.lang.String[]` | `getSupportedSerializerTypes()` Return all the serializer types than can be created by this factory.
`Serializer` | `makeSerializer(java.lang.String serializerType)` Manufacture a Serializer for the object type inheriting the interface.
`void` | `setApplicationDN(java.lang.String applicationDN)`
`void` | `setEventTime(java.util.Date time)` Set the time that the event is published.
`void` | `setManagedObjectClass(java.lang.String moc)` Sets the class name of the object instance that will issue this event.
`void` | `setManagedObjectInstance(java.lang.String moi)` Sets the distinguished name of the object instance that will issue this event.
`void` | `setNotificationId(java.lang.String id)` Sets the notification id.

Methods inherited from class com.sun.management.oss.impl.AttributeAccessImpl
`clone, getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, isFullyPopulated, isPopulated, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.management.oss.Event
`clone`

Methods inherited from interface com.sun.management.oss.AttributeAccess
`getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, isFullyPopulated, isPopulated, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Constructor Detail

### IRPEventImpl

    public IRPEventImpl()

Method Detail

### getManagedObjectClass

    public java.lang.String getManagedObjectClass()

  Description copied from interface: `IRPEvent`
  Gets the class name of the object instance where this event occurred.

  Specified by:
    `getManagedObjectClass` in interface `IRPEvent`
  Returns:
    String The class name object instance.
  See Also:
    `IRPEvent.setManagedObjectClass(java.lang.String)`

### getManagedObjectInstance

    public java.lang.String getManagedObjectInstance()

  Description copied from interface: `IRPEvent`
  Gets the distinguished name of the object instance where this event occurred.

  Specified by:
    `getManagedObjectInstance` in interface `IRPEvent`
  Returns:
    String The distinguished name object instance.
  See Also:
    `IRPEvent.setManagedObjectInstance(java.lang.String)`

### getNotificationId

    public java.lang.String getNotificationId()

  Description copied from interface: `IRPEvent`
  Returns the notification id.

  Specified by:
    `getNotificationId` in interface `IRPEvent`
  Returns:
    String The unique identifier across all notifications of a particular managed entity.
  See Also:
    `IRPEvent.setNotificationId(java.lang.String)`

### setManagedObjectClass

    public void setManagedObjectClass(java.lang.String moc)

  Description copied from interface: `IRPEvent`
  Sets the class name of the object instance that will issue this event.

  Specified by:
    `setManagedObjectClass` in interface `IRPEvent`
  Parameters:
    `moc` - The class name of the object instance.
  See Also:
    `IRPEvent.getManagedObjectClass()`

### setManagedObjectInstance

    public void setManagedObjectInstance(java.lang.String moi)

  Description copied from interface: `IRPEvent`
  Sets the distinguished name of the object instance that will issue this event.

  Specified by:
    `setManagedObjectInstance` in interface `IRPEvent`
  Parameters:
    `moi` - The distinguished name of the object instance.
  See Also:
    `IRPEvent.getManagedObjectInstance()`

### setNotificationId

    public void setNotificationId(java.lang.String id)
                           throws java.lang.IllegalArgumentException

  Description copied from interface: `IRPEvent`
  Sets the notification id.

  Specified by:
    `setNotificationId` in interface `IRPEvent`
  Parameters:
    `id` - A unique identifier across all notifications of a particular managed entity.
  Throws:
    `java.lang.IllegalArgumentException` - Is thrown to report that a bad argument was provided to the method.
  See Also:
    `IRPEvent.getNotificationId()`

### getSupportedOptionalAttributeNames

    public java.lang.String[] getSupportedOptionalAttributeNames()

  Description copied from interface: `AttributeAccess`
  Provide run-time support for the discovery of optional attributes.

  Specified by:
    `getSupportedOptionalAttributeNames` in interface `AttributeAccess`
  Overrides:
    `getSupportedOptionalAttributeNames` in class `AttributeAccessImpl`

### getApplicationDN

    public java.lang.String getApplicationDN()

  Description copied from interface: `Event`
  Return the DN of the application sending the event. The format of this DN is described in

  Specified by:
    `getApplicationDN` in interface `Event`
  Returns:
    applicationDN.

### getEventTime

    public java.util.Date getEventTime()

  Description copied from interface: `Event`
  Return the time the event was published.

  Specified by:
    `getEventTime` in interface `Event`
  Returns:
    time the event was published.

### setApplicationDN

    public void setApplicationDN(java.lang.String applicationDN)
                          throws java.lang.IllegalArgumentException

  Specified by:
    `setApplicationDN` in interface `Event`
  Throws:
    `java.lang.IllegalArgumentException`

### setEventTime

    public void setEventTime(java.util.Date time)
                      throws java.lang.IllegalArgumentException

  Description copied from interface: `Event`
  Set the time that the event is published.

  Specified by:
    `setEventTime` in interface `Event`
  Throws:
    `java.lang.IllegalArgumentException`

### getSupportedSerializerTypes

    public java.lang.String[] getSupportedSerializerTypes()

  Description copied from interface: `SerializerFactory`
  Return all the serializer types than can be created by this factory. This may return an empty array, in case no serializer is implemented.

  Specified by:
    `getSupportedSerializerTypes` in interface `SerializerFactory`
  Overrides:
    `getSupportedSerializerTypes` in class `AttributeAccessImpl`

### makeSerializer

    public Serializer makeSerializer(java.lang.String serializerType)
                              throws java.lang.IllegalArgumentException

  Description copied from interface: `SerializerFactory`
  Manufacture a Serializer for the object type inheriting the interface.

  Specified by:
    `makeSerializer` in interface `SerializerFactory`
  Overrides:
    `makeSerializer` in class `AttributeAccessImpl`
  Throws:
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD